Description

Here is a patch which allows only vertical reordering for positioned items:

From: Vincent Robert <vincent.robert@nanego.com>

Date: Thu, 13 Oct 2016 12:04:01 +0200

Subject: Vertical reordering only

---

 public/javascripts/application.js | 1 +

 1 file changed, 1 insertion(+)

diff --git a/public/javascripts/application.js b/public/javascripts/application.js

index 087d3de..b303702 100644

--- a/public/javascripts/application.js

+++ b/public/javascripts/application.js

@@ -597,6 +597,7 @@ function beforeShowDatePicker(input, inst) {

     }, options );

     return this.sortable($.extend({

+      axis: 'y',

       handle: ".sort-handle",

       helper: function(event, ui){

         ui.children('td').each(function(){

--

 Thank you for considering this tiny contribution ;)

Related issues:

Related to Redmine - Feature #12909: Drag'n'drop order configuration for stat... Closed

Associated revisions

Revision 15996 - 2016-11-26 09:25 - Jean-Philippe Lang

Allow only vertical reorderingin sortable lists (#24062).

Patch by Vincent Robert.

Revision 16048 - 2016-12-03 09:42 - Jean-Philippe Lang

Merged r15996 (#24062).

History

#1 - 2016-10-28 14:09 - Toshi MARUYAMA

- Description updated

#2 - 2016-10-28 14:15 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please explain more details.

#3 - 2016-10-28 14:27 - Vincent Robert

Hi Toshi
As we are sorting elements in a column, we should add this constraint. If we don't specify the axis, we can drag the item to the right or to the left,

which does not make sense in our case ; it's cleaner to move them vertically only.

Please try to sort elements with and without the "axis" attribute. You will instantly see the difference.

Thank you

#4 - 2016-11-26 05:14 - Toshi MARUYAMA

- Related to Feature #12909: Drag'n'drop order configuration for statuses, trackers, roles... added

#5 - 2016-11-26 05:31 - Toshi MARUYAMA

- Status changed from Needs feedback to New

- Target version set to 3.3.2

#6 - 2016-11-26 09:25 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#7 - 2016-12-03 09:42 - Jean-Philippe Lang

- Status changed from Resolved to Closed
